### ClipBox

Category

Rendering

Function

Prepares a specified object for clipping by a box.

Syntax

    clipped = ClipBox(object, corners);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | none | object to be clipped
`corners` | vector list or object | no clipping | corners specifying clipping box

Outputs

Name | Type | Description
--- | --- | ---
`clipped` | object | object marked for clipping

Functional Details

This module constructs an object so that it can be clipped by a box. Data Explorer renders only the portion of the object that lies in this clipping box, which is defined by `corners` (see below).

`object` | is the object to be clipped.
`corners` | defines the clipping box in one of two ways: by specifying two of its corners with a vector list (of two vectors). The module interprets the two vectors as opposite corners of the clipping box. by using the bounding box of the specified object (when `corners` itself specifies an object).

Notes:

1. The specified object must be of a kind for which a bounding box can be constructed. Otherwise an error results. In general, bounding boxes can be constructed for all geometric objects, but not for objects such as captions.

2. All translucent objects in the scene should be clipped by the same object. In addition, objects can be clipped by only one clipping box or one clipping plane.

3. The effect of ClipBox occurs during rendering, and its use does not affect the behavior of modules upstream from the renderer. For example, ShowBox will draw a box around the unclipped object.

Components

All input components are propagated to the output.

See Also

ClipPlane

[ OpenDX Home at IBM | OpenDX.org ]